<!DOCTYPE html>
<html>
<head>
<meta name="viewport" content="width=device-width, initial-scale=1">
<title>Watch.Later - Russian Language</title>
<link rel="stylesheet" href="../styles.css">
</head>
<body>

<div id="custom-cursor"></div>

<div>
  <a href="../index.html" class="header-link" style="font-size:50px;font-weight:bold;width:100%;text-align:left;margin-left:10px;text-decoration:none;">Watch.Later</a>
</div>
<div>
  <i style="font-size:25px;text-align:left;margin-left:10px;margin-right:160px;">Movies you should watch, just not right now</i>
</div>
</br>


<div class="box">
  <div class="image">
    <a href="../articles/Mirror.html"><img src="https://m.media-amazon.com/images/M/MV5BNzM3YjcxOGMtOGRmNi00ODMwLTgzNzQtMzE0NzEzZTQ3NzVkXkEyXkFqcGc@._V1_FMjpg_UX1000_.jpg" style="width:100%"></a>
  </div>
  <div class="body-text">
    <a href="../articles/Mirror.html" class="title title-link">Mirror</a></br>
    <i>Review Published</i>: April 2024 </br>
    <i>Reference</i>: <a href="https://www.imdb.com/title/tt0072443/" target="_blank">IMDB</a>, <a href="https://www.youtube.com/watch?v=NrMINC5xjMs" target="_blank">Youtube</a></br>
    <i>Released</i>: 1975 </br>
    <i>Runtime</i>: 1h 47m </br>
    <i>Genre</i>: <a href="../categories/drama.html">Drama</a>, Biography</br>
    <i>Country of Origin</i>: Soviet Union</br>
    <i>Language</i>: <a href="../categories/russian.html">Russian</a>, Spanish</br>
    <i>Original Title</i>: Зеркало</br>
    <i>Synopsis</i>: A retrospective on the life of a Russian man around the time of World War Two in a series of recollections that mixes real events with dreams.</br>
    <i>Watch later?</i>: If you are a fan of modernist litereature.</br></br>
    <a href="../articles/Mirror.html">Read the full review...</a></br>
  </div>
</div>


<div class="box">
  <div class="image">
    <a href="../articles/A.Man.from.Boulevard.des.Capucines.html"><img src="https://m.media-amazon.com/images/M/MV5BMmQ0NjYyNTUtNDlkYi00ZmJlLWEzMDAtYzEyMmMxZDYyMDAxXkEyXkFqcGdeQXVyNjExODE1MDc@._V1_QL75_UX190_CR0,11,190,281_.jpg" style="width:100%"></a>
  </div>
  <div class="body-text">
    <a href="../articles/A.Man.from.Boulevard.des.Capucines.html" class="title title-link">A Man from Boulevard des Capucines</a></br>
    <i>Review Published</i>: February 2023 </br>
    <i>Reference</i>: <a href="https://www.imdb.com/title/tt0093872/" target="_blank">IMDB</a></br>
    <i>Released</i>: 1987 </br>
    <i>Runtime</i>: 1h 38m </br>
    <i>Genre</i>: <a href="../categories/drama.html">Drama</a>, <a href="../categories/comedy.html">Comedy</a></br>
    <i>Country of Origin</i>: USSR</br>
    <i>Language</i>: <a href="../categories/russian.html">Russian</a></br>
    <i>Original Title</i>: Человек с бульвара Капуцинов</br>
    <i>Synopsis</i>: A wild west town plagued by vice is visited by a gentleman who exposes them to the wonders of cinematography.</br>
    <i>Watch later?</i>: If you can handle social commentary that's a bit hokey, yes.</br></br>
    <a href="../articles/A.Man.from.Boulevard.des.Capucines.html">Read the full review...</a></br>
  </div>
</div>


<div class="box">
  <div class="image">
    <a href="../articles/Distance.html"><img src="https://m.media-amazon.com/images/M/MV5BMjM0MjE5NTI0MF5BMl5BanBnXkFtZTgwMDk3MzM3MjE@._V1_.jpg" style="width:100%"></a>
  </div>
  <div class="body-text">
    <a href="../articles/Distance.html" class="title title-link">Distance</a></br>
    <i>Review Published</i>: December 2022 </br>
    <i>Reference</i>: <a href="https://www.imdb.com/title/tt3474462/" target="_blank">IMDB</a></br>
    <i>Released</i>: 2014</br>
    <i>Runtime</i>: 1h 23m</br>
    <i>Genre</i>: <a href="../categories/mystery.html">Mystery</a>, <a href="../categories/suspense.html">Suspense</a></br>
    <i>Country of Origin</i>: Spain</br>
    <i>Language</i>: <a href="../categories/russian.html">Russian</a>, Japanese, German</br>
    <i>Original Title</i>: La Distancia, дистанция</br>
    <i>Synopsis</i>: A group of psychics is hired for a heist, to steal the mysterious 'distance' from an abandoned Siberian factory.</br>
    <i>Watch later?</i>: Only if you know that you enjoy the absurd.</br></br>
    <a href="../articles/Distance.html">Read the full review...</a></br>
  </div>
</div>



<div class="sidebar">
  <div><a href="../categories/all.html">All</a></div>
  <div><a href="../categories/last.html">Most Recent</a></div>
  <div><b>By Genre</b></div>
  <div><a href="../categories/action.html">Action</a></div>
  <div><a href="../categories/comedy.html">Comedy</a></div>
  <div><a href="../categories/un_comedy.html">Comedy (Unintentional)</a></div>
  <div><a href="../categories/drama.html">Drama</a></div>
  <div><a href="../categories/mystery.html">Mystery</a></div>
  <div><a href="../categories/sci-fi.html">Sci-Fi</a></div>
  <div><a href="../categories/suspense.html">Suspense</a></div>
  <div><b>By Language</b></div>
  <div><a href="../categories/english.html">English</a></div>
  <div><a href="../categories/russian.html">Russian</a></div>
  <div><b>Info</b></div>
  <div><a href="../info/about.html">About</a></div>
  <div><a href="../info/contact.html">Contact</a></div>
</div>


<script>
</script>
<script src="https://ddosnotification.github.io/snow-theme/snow.js"></script>
<script src="/anicursor.js?v=1.0"></script>

</body>

</html>
